/***********************************************************************************
* Copyright (C) 2009 Vojtech 'vogo' Gondzala <vojtech.gondzala@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
***********************************************************************************/

#ifndef _SYSFSPARSE_HEADER
#define _SYSFSPARSE_HEADER

#include <QString>
#include <QStringList>

class SysFsParse
{
public:
	SysFsParse();
	virtual ~SysFsParse();
	bool hasHDAPS();
	QStringList deviceList();
	int unloadHeads(QString device);
	bool keyboardActivity();
	bool mouseActivity();
	QString position();
private:
	int fileInt(QString path);
};

#endif
